Name:           python-antspyx
Version:        0.6.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A fast medical imaging analysis library in Python with algorithms for registration, segmentation, and more.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/antsx/antspy
Source:         %{pypi_source antspyx}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'antspyx' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-antspyx
Summary:        %{summary}

%description -n python3-antspyx %_description


%prep
%autosetup -p1 -n antspyx-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-antspyx -f %{pyproject_files}


%changelog
%autochangelog